/*
 * DriveBehavior.java
 * 
 * Copyright 2009 by RidgeSoft, LLC., PO Box 482, Pleasanton, CA 94566, U.S.A.
 * www.ridgesoft.com
 * 
 * RidgeSoft grants you the right to use, modify, make derivative works and
 * redistribute this source file provided you do not remove this copyright
 * notice.
 */

import com.ridgesoft.robotics.Localizer;
import com.ridgesoft.robotics.Navigator;

public class DriveBehavior implements Behavior {
    private boolean isActive;
    private Localizer localizer;
    private Navigator navigator;
    private float heading;

    public DriveBehavior(Localizer localizer, Navigator navigator) {
        this.localizer = localizer;
        this.navigator = navigator;
        isActive = false;
        heading = 0.0f;
    }

    public boolean poll() {
        if (isActive)
            navigator.go(heading);

        return true;
    }

    public void setActive(boolean isActive) {
        if (isActive && !this.isActive)
            heading = localizer.getPose().heading;
        this.isActive = isActive;
    }
}