/*
 * Maneuver.java
 * 
 * Copyright 2007 by RidgeSoft, LLC., PO Box 482, Pleasanton, CA 94566, U.S.A.
 * www.ridgesoft.com
 * 
 * RidgeSoft grants you the right to use, modify, make derivative works and
 * redistribute this source file provided you do not remove this copyright
 * notice.
 */

import com.ridgesoft.intellibrain.IntelliBrain;
import com.ridgesoft.robotics.Motor;
import com.ridgesoft.robotics.ContinuousRotationServo;

public class Maneuver {
    private static Motor leftMotor;
    private static Motor rightMotor;

    public static void main(String args[]) {
        System.out.println("Maneuver");

        leftMotor = new ContinuousRotationServo(IntelliBrain.getServo(1),
                false, 14);
        rightMotor = new ContinuousRotationServo(IntelliBrain.getServo(2),
                true, 14);

        for (int i = 0; i < 4; i++) {
            goForward();
            rotate90();
        }
        stop();
    }

    public static void goForward() {
        leftMotor.setPower(Motor.MAX_FORWARD);
        rightMotor.setPower(Motor.MAX_FORWARD);

        try {
            Thread.sleep(2000);
        }
        catch (InterruptedException e) {
        }
    }

    public static void rotate90() {
        leftMotor.setPower(8);
        rightMotor.setPower(-8);

        try {
            Thread.sleep(600);
        }
        catch (InterruptedException e) {
        }
    }

    public static void stop() {
        leftMotor.stop();
        rightMotor.stop();
    }
}