/*
 * PingTest.java
 * 
 * Copyright 2007 by RidgeSoft, LLC., PO Box 482, Pleasanton, CA 94566, U.S.A.
 * www.ridgesoft.com
 * 
 * RidgeSoft grants you the right to use, modify, make derivative works and
 * redistribute this source file provided you do not remove this copyright
 * notice.
 */

import com.ridgesoft.intellibrain.IntelliBrain;
import com.ridgesoft.io.Display;
import com.ridgesoft.intellibrain.IntelliBrainDigitalIO;

public class PingTest {
    public static void main(String args[]) {
        try {
            Display display = IntelliBrain.getLcdDisplay();
            display.print(0, "Ping Test");

            IntelliBrainDigitalIO pingPort = IntelliBrain.getDigitalIO(3);
            pingPort.enablePulseMeasurement(true);

            while (true) {
                pingPort.pulse(20);
                Thread.sleep(50);

                int roundTripTime = pingPort.readPulseDuration();
                if (roundTripTime < 115 || roundTripTime > 18500)
                    display.print(1, "Distance: --");
                else
                    display.print(1, "Distance: " + roundTripTime / 150 + '"');

                Thread.sleep(450);
            }
        }
        catch (Throwable t) {
            t.printStackTrace();
        }
    }
}