/*
 * LineFollower1.java
 * 
 * Copyright 2007 by RidgeSoft, LLC., PO Box 482, Pleasanton, CA 94566, U.S.A.
 * www.ridgesoft.com
 * 
 * RidgeSoft grants you the right to use, modify, make derivative works and
 * redistribute this source file provided you do not remove this copyright
 * notice.
 */

import com.ridgesoft.intellibrain.IntelliBrain;
import com.ridgesoft.io.Display;
import com.ridgesoft.robotics.PushButton;
import com.ridgesoft.robotics.AnalogInput;
import com.ridgesoft.robotics.Motor;
import com.ridgesoft.robotics.ContinuousRotationServo;

public class LineFollower1 {
    public static void main(String args[]) {
        Display display = IntelliBrain.getLcdDisplay();
        display.print(0, "");
        display.print(1, "");

        AnalogInput lineSensor = IntelliBrain.getAnalogInput(6);
//        AnalogInput thumbwheel = IntelliBrain.getThumbWheel();

        Motor leftMotor = new ContinuousRotationServo(IntelliBrain.getServo(1), false, 14);
        Motor rightMotor = new ContinuousRotationServo(IntelliBrain.getServo(2), true, 14);

        PushButton startButton = IntelliBrain.getStartButton();
        startButton.waitReleased();

        float gain = 0.016f;
        while (!startButton.isPressed()) {
            int sample = lineSensor.sample();
            display.print(0, Integer.toString(sample));

//            gain = 0.00003f * (float)thumbwheel.sample();
//            display.print(1, Float.toString(gain));
        }

        display.print(0, "Following line");
        while (true) {
            int sample = lineSensor.sample();

            float offset = (360.0f - (float)sample) * gain;
            leftMotor.setPower((int)(8.0f + offset));
            rightMotor.setPower((int)(8.0f - offset));
        }
    }
}